This endpoint reference contains an overview of all Ratepay relevant endpoints for the Shopware Admin API.
Shopware Admin API usage (for the Ratepay SW6 module v7.x and above)
Download OpenAPI description
Languages
Servers
http://your_shopware_url/api
- http://your_shopware_url/api/_action/order/{orderId}/ratepay/info
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
http://your_shopware_url/api/_action/order/a06c753d068c487991d6a833b4133560/ratepay/info \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Response
application/json
{ "success": true, "data": [ { … } ] }
- http://your_shopware_url/api/_action/order/{orderId}/ratepay/deliver
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'http://your_shopware_url/api/_action/order/{orderId}/ratepay/deliver' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"items": [
{
"id": "a06c753d068c487991d6a833b4133560",
"quantity": 1,
"updateStock": true
}
]
}'- http://your_shopware_url/api/_action/order/{orderId}/ratepay/cancel
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'http://your_shopware_url/api/_action/order/{orderId}/ratepay/cancel' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"items": [
{
"id": "a06c753d068c487991d6a833b4133560",
"quantity": 1,
"updateStock": true
}
]
}'- http://your_shopware_url/api/_action/order/{orderId}/ratepay/refund
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'http://your_shopware_url/api/_action/order/{orderId}/ratepay/refund' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"items": [
{
"id": "a06c753d068c487991d6a833b4133560",
"quantity": 1,
"updateStock": true
}
]
}'Request
You can add a debit or credit to the processed order by Ratepay. It is required that at least one order-item has been marked as shipped and not returned.
Security
oAuth(Required scopes:
write
)- http://your_shopware_url/api/_action/order/{orderId}/ratepay/addItem
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'http://your_shopware_url/api/_action/order/{orderId}/ratepay/addItem' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"grossAmount": -5,
"name": "Discount for damaged goods",
"taxId": "a06c753d068c487991d6a833b4133560"
}'